using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _02Trade
{
    public partial class Add : Form
    {
        public Add()
        {
            InitializeComponent();
        }

        private void serviceBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.serviceBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this._02TradeDataSet);

        }

        private void Add_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_02TradeDataSet.Service". При необходимости она может быть перемещена или удалена.
            this.serviceTableAdapter.Fill(this._02TradeDataSet.Service);

        }

        private void button4_Click(object sender, EventArgs e)
        {
           ФормаАдмин form1 = new ФормаАдмин();
            form1.Show();
            this.Hide();
        }

        private void button1_Click(object sender, EventArgs e)
        {
           serviceBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            serviceBindingSource.RemoveCurrent();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.serviceTableAdapter.Update(this._02TradeDataSet.Service);
        }
    }
}
